Skip to main content
PATCH
/
v1
/
admin
/
finance
/
payment-sessions
/
{id}
Update a payment session
curl --request PATCH \
  --url https://{operatorDomain}/v1/admin/finance/payment-sessions/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "psess_01HZX...",
  "status": "open",
  "amountCents": 119000,
  "currency": "EUR",
  "bookingId": "<string>",
  "invoiceId": "<string>",
  "provider": "netopia",
  "redirectUrl": "<string>",
  "payerEmail": "<string>",
  "payerName": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}
'
{
  "data": {
    "id": "psess_01HZX...",
    "status": "open",
    "amountCents": 119000,
    "currency": "EUR",
    "bookingId": "<string>",
    "invoiceId": "<string>",
    "provider": "netopia",
    "redirectUrl": "<string>",
    "payerEmail": "<string>",
    "payerName": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Path Parameters

id
string
required

Body

application/json
id
string
required
Example:

"psess_01HZX..."

status
enum<string>
required
Available options:
open,
requires_redirect,
completed,
failed,
cancelled,
expired
Example:

"open"

amountCents
integer
required
Example:

119000

currency
string
required
Required string length: 3
Example:

"EUR"

bookingId
string | null
invoiceId
string | null
provider
string | null
Example:

"netopia"

redirectUrl
string | null
payerEmail
string | null
payerName
string | null
createdAt
string<date-time>

Response

200 - application/json

Updated payment session

data
object